import { html as h } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as v } from "./PieIconComponent.js";
import { safeCustomElement as a } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, n = (p, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, o) : t, i = p.length - 1, c; i >= 0; i--)
    (c = p[i]) && (e = (r ? c(t, o, e) : c(e)) || e);
  return r && e && f(t, o, e), e;
};
let s = class extends v {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--directions", this.class = "c-pieIcon c-pieIcon--directions", this.name = "IconDirections";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--directions"><path d="M14.072 6.232 11.194 2.97H6.25V1.656H4.929V2.97h-3.5v8.75h3.5v2.625H6.25v-2.625h4.953l2.87-3.264a1.47 1.47 0 0 0 0-2.223Zm-.883 1.26-2.564 2.914H6.25V8h1.137v1.146L9.96 7.344 7.387 5.69v.997H4.93v3.72H2.75V4.28h7.875l2.476 2.844.079.079a.15.15 0 0 1 .058.208.15.15 0 0 1-.058.054l.009.026Z"></path></svg>`;
  }
};
n([
  l({ type: String, reflect: !0 })
], s.prototype, "size", 2);
n([
  l({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = n([
  a("icon-directions")
], s);
export {
  s as IconDirections
};
